Subject: Re: bug#11312: 24.1.50; allout widgets mode bug when deleting text from header

From: Ken Manheimer <[email-masked]>
Date: Mon, 20 Jul 2020 14:43:31 -0400

Patch pushed to main repository on master and emacs-27 branches.

On Sun, Jul 5, 2020 at 5:23 PM Ken Manheimer <[email-masked]>
wrote:

> Sorry it's taken a while to get to this. The behavior Christopher reported
> is a bug, which is fixed by the patch attached to this message.
>
> Christopher, please note that the intended behavior is that you are
> prompted to dissuade you from editing the bullet character. If you elect to
> change it manually, that change will not actually affect the bullet, and
> the next time the item is decorated (like, after it's hidden and then
> exposed) then the character you manually edited will be changed back.
>
> Generally, you could instead deactivate allout-widgets-mode and edit the
> topic bullet that way. Unfortunately, there's another bug which misses
> "undecorating" the first topic in the buffer, if it's at the start of the
> buffer. I've submitted a separate patch to rectify that:
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42218.
>
> On Sat, Feb 29, 2020 at 8:40 PM Stefan Kangas <[email-masked]> wrote:
>
>> [Please include the bug tracker in the Cc-list when you reply, so the
>> message gets archived and others can follow the progress.]
>>
>> Ken Manheimer <[email-masked]> writes:
>>
>> > I'll try to take a look soon.
>>
>> Thank you!
>>
>> Best regards,
>> Stefan Kangas
>>
>